.carousel {
    width: 150px;
    height: 308px;
    perspective: 1000px;
    position: relative;
}

.carousel-inner {
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transform: translateZ(-400px);
    transition: transform 1s;
    position: absolute;
    top: 54px;
}

.card {
    position: absolute;
}


.carousel-inner .card {
    width: 150px;
    height: 200px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    transition: transform 1s ease, opacity 1s ease-in-out, filter 1s ease-in-out;

    border: 1px solid rgba(255, 255, 255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
    border-radius: 16px;
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
    box-shadow: 0 0 5px #3a35df, 0 0 10px #4867AA;
}

:root {
    --tranZ: 400px;
}

.filter {
    border: 1px solid rgba(255, 255, 255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
    border-radius: 16px;
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
}

.carousel-inner img {
    width: 100%;
    height: auto;
    border-radius: 10px;
    object-fit: cover;
    filter: drop-shadow(2px 2px 6px cyan);
    position: absolute;
    top: 18px;
}

.card-name {
    margin-top: 8px;
    font-size: 20px;
    text-align: center;
    color: rgba(255, 255, 255, 0.5);
    font-weight: bold;
    position: absolute;
    bottom: 2px;
}

.card-dimmed {
    opacity: 0.3;
    filter: blur(4px);
}

.card-img {
    transition: transform 1s ease-in-out;
}

.card-img-no {
    width: 114px;
    opacity: 0.6;
    transition: opacity 1s ease-in-out;
}

.card-img-no img {
    position: static;
}

.pokemon-id {
    color: rgba(255, 255, 255, 0.5);
    font-weight: bold;
    position: absolute;
    top: 2px;
    right: 9px;
}




